$1  PROCEDURE [dbo].[HAREKET_GORMEYEN_STOKLAR]
@aktif_kullanici varchar(25)='',
@baslangic_tarih dateTime,
@bitis_tarih dateTime
AS
-- ==========================================================================================
-- Evrak Tipleri:	--1:FİŞ 2:SATIŞ FAT 3:İADE 4:FİŞ IPTAL  5:ALIŞ FATURASI 
--			          6:TAHSİLAT MAKBUZU 7:TEDIYE MAKBUZU 8:FATURA IPTAL 9:DEPO SEVK 10:ALIŞ IADE 
--				     11:CARI BORÇ DEKONTU 12:SAYIM EVRAĞI 13:DEPO GİRİŞ 14:DEPO ÇIKIŞ
-- ==========================================================================================
SELECT
	sto_kod as StokKod,
	sto_isim as StokIsim,
	sto_create_date as KayitTarih
	FROM STOKLAR
	WHERE sto_kod NOT IN (
		SELECT
			har_stok_kodu
		FROM EVRAK_HAREKET_BILGI WITH(NOLOCK)
		INNER JOIN EVRAK_UST_BILGI WITH(NOLOCK) ON evr_RECno=har_evrak_rec_id
		WHERE har_satir_tip=0 AND
		@baslangic_tarih<=CONVERT(DATE,har_lastup_date) and CONVERT(DATE,har_lastup_date)<=@bitis_tarih
		AND (evr_magaza_kod=dbo.fn_AktifKullaniciMagazaGetir(@aktif_kullanici) OR @aktif_kullanici=0)
	)
